<?php

namespace Modules\Fournisseur\Rules;

use Entity\Model\AoEntet;
use Entity\Model\Fourniss;
use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class Evaluation
{
    /** @var ServerRequestInterface $request */
    protected ServerRequestInterface $request;

    /** @var \PDO $pdo */
    protected \PDO $pdo;

    /** @var Main $main */
    protected $main;

    public function __construct(ServerRequestInterface  $request, \PDO $pdo)
    {
        $this->request              = $request;
        $this->pdo                  = $pdo;
        $this->main                 = new Main($this->request, $this->pdo);
    }

    /**
     * init
     *
     * @return bool
     */
    public function init(): bool
    {
        $id = $this->request->getAttribute('id');

        return $this->main->generateDroitVisuFrs($id);
    }


    /**
     * @return bool
     */
    public function evaluation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeNoteur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function radarPerf(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function imprimer(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function resultat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportNoteur(): bool
    {
        return true;
    }
}
